/* common */
/* これ、将来的にはh2に直接id指定するので変更する予定 */
.wp-block-post-content h2 span[id]{
	scroll-margin-top: 120px;
}
.wp-block-post-content .wp-block-list,
.wp-block-post-content .block-check,
.wp-block-post-content .article-card,
.wp-block-post-content .wp-block-quote,
.wp-block-post-content #ez-toc-container{
	background: var(--white_pink);
	margin: 20px 0;
	padding: 20px 25px;
}

.wp-block-post-content span.marker{
	background: linear-gradient(transparent 50%, var(--light_blue) 50%);
}

/* 内部記事カード */
.wp-block-post-content .article-card a{
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	background: #fff;
	border-radius: 0 10px 10px 0;
}
.wp-block-post-content .article-card a .cell01{
	flex-basis:150px;
	position:relative;
}
.wp-block-post-content .article-card a .cell01 img{
	margin:0;
}
.wp-block-post-content .article-card a .cell01 .catx{
	font-size:12px;
	padding:3px 8px;
	color:#fff;
	background:var(--pink);
	position:absolute;
	left:0;
	top:0;
}
.wp-block-post-content .article-card a .cell02{
	flex-basis:calc(100% - 150px);
	padding:10px 20px;
	padding-right:40px;
	box-sizing:border-box;
	position:relative;
	display:flex;
	justify-content: left;
	align-items: center;
}
.wp-block-post-content .article-card a .cell02::after{
	content:"";
	position:absolute;
	height:23px;
	width:22px;
	right:20px;
	top:0;
	bottom:0;
	margin:auto;
	background: url(https://assets.ikusa.jp/assets/ikusajp/img/common/orange_arrow.svg);
	background-size:100% 100%;
}
.wp-block-post-content .article-card a .cell02 .tx01{
	font-weight:700;
	color:var(--pink);
	margin:0 0 3px;
}
.wp-block-post-content .article-card a .cell02 .tx02{
	color:#000;
	font-size:14px;
}
.wp-block-post-content .article-card.text a{
	display: block;
	background: none;
	border-radius: 0;
}
.wp-block-post-content .article-card.text .tx01{
	margin:0 0 5px;
	font-size:14px;
}

/* 本アイコンブロック */
.wp-block-post-content .book-detail{
	border: 2px solid var(--pink);
	padding: 15px 25px 20px;
	margin: 20px 0;
}
.wp-block-post-content .book-detail h3{
	padding: 5px;
	padding-left: 35px;
	padding-right: 10px;
	margin: 0 0 10px;
	border: none;
	font-size: 16px;
	font-weight: 700;
	background: none;
	position: relative;
}
.wp-block-post-content .book-detail h3 span{
	border-bottom: 2px solid var(--pink);
	padding: 0 0 2px;
}
.wp-block-post-content .book-detail h3::after{
	content: "";
	position: absolute;
	height: 30px;
	width: 30px;
	left: 0;
	top: 2px;
	bottom: 0;
	margin: auto;
	background: url(https://asobu-promotion.com/wp/wp-content/themes/chani/blocks/book-detail/ic_book.svg);
	background-size: 100% 100%;
}
.wp-block-post-content .book-detail p{
	font-size: 14px;
	line-height: 1.8;
	margin: 0;
}

/* Q&A */
.wp-block-post-content .block-qa{
	background:var(--white_pink);
	padding:20px 25px;
	margin:20px 0;
}
.wp-block-post-content .block-qa h3{
	padding:0 0 10px;
	margin:0 0 20px;
	color:var(--pink);
	border:none;
	border-bottom:1px solid var(--pink);
	font-size:20px;
	font-weight:700;
	background:none;
}
.wp-block-post-content .block-qa ul{
	padding:0;
	margin:0;
}
.wp-block-post-content .block-qa ul li{
	margin:0 0 20px;
}
.wp-block-post-content .block-qa ul li:last-child{
	margin:0;
}
.wp-block-post-content .block-qa ul li .q{
	margin:0 0 10px;
}
.wp-block-post-content .block-qa ul li .a{
	color:var(--pink);
}
.wp-block-post-content .block-qa ul li .q,
.wp-block-post-content .block-qa ul li .a{
	position:relative;
	font-size:14px;
	font-weight:700;
	padding-left:25px;
}
.wp-block-post-content .block-qa ul li .q::after,
.wp-block-post-content .block-qa ul li .a::after{
	content:"Q.";
	position:absolute;
	left:0;
	top:-5px;
	font-size:20px;
	font-family: "Oswald", sans-serif;
}
.wp-block-post-content .block-qa ul li .a::after{
	content:"A.";
}

/* 会場情報 */
.wp-block-post-content .block-venue{
	border:2px solid var(--pink);
	border-radius:10px;
	margin-top: 2em;
	margin-bottom: 2em;
	padding:20px 30px;
}
.wp-block-post-content .block-venue:last-child{
	margin-bottom: 0;
}
.wp-block-post-content .block-venue .title{
	padding-left:30px;
	margin:0 0 10px;
	font-size:24px;
	font-weight:700;
	position:relative;
}
.wp-block-post-content .block-venue .title::after{
	content:"";
	position:absolute;
	width:20px;
	height:28px;
	left:0;
	top:0;
	bottom:0;
	margin:auto;
	background: url(https://assets.ikusa.jp/assets/ikusajp/img/post_content/ic01.svg);
	background-size:100% 100%;
}
.wp-block-post-content .block-venue .map{
	margin:0 0 20px;
}
.wp-block-post-content .block-venue .map iframe{
	height:330px;
	width:100%;
}
.wp-block-post-content .block-venue td,
.wp-block-post-content .block-venue th{
	padding:0 0 20px;
	vertical-align:top;
}
.wp-block-post-content .block-venue th{
	font-weight:700;
	text-align:left;
	padding-right:30px;
	width:100px;
}
.wp-block-post-content .block-venue td{
	font-size:14px;
}
.wp-block-post-content .block-venue .link{
	text-align:right;
	margin:10px 0 0;
}
.wp-block-post-content .block-venue .link a{
	color:#000;
	position: relative;
	padding-right: 36px;
	font-weight: bold;
}
.wp-block-post-content .block-venue .link a::after{
	content: "";
	position: absolute;
	width: 22px;
	height: 22px;
	right: 0;
	top: 0;
	bottom: 0;
	margin: auto;
	background-image: url(https://assets.ikusa.jp/assets/ikusajp/img/common/link_mark.svg);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center center;
}

/* ▶アイコンリンク */
.wp-block-post-content .delta-link{
	background:var(--white_pink);
	padding:20px 25px;
	margin:20px 0;
}
.wp-block-post-content .delta-link a{
	position:relative;
	padding-left:25px;
	font-size:14px;
	color:#000;
}
.wp-block-post-content .delta-link a::after{
	content:"";
	position:absolute;
	left:0;
	top:5px;
	width: 0;
	height: 0;
	border-style: solid;
	border-width: calc(12px / 2) 0 calc(12px / 2) 12px;
	border-color: transparent transparent transparent var(--pink);
}

/* POINT */
.wp-block-post-content .block-point{
	border:2px solid var(--pink);
	padding:15px 25px 20px;
	margin:20px 0;
}
.wp-block-post-content .block-point h3{
	padding:0 0 10px;
	margin:0 0 20px;
	border:none;
	border-bottom:1px solid var(--pink);
	font-size:20px;
	line-height:1.4;
	font-family: "Oswald", sans-serif;
	font-weight:700;
	color:var(--pink);
	background:none;
}
.wp-block-post-content .block-point ul{
    background-color: #FFF;
}
.wp-block-post-content .block-point ul,
.wp-block-post-content .block-check ol{
	margin: 0;
	padding: 0;
}

/* CHECK */
.wp-block-post-content .block-check h3{
	padding:0 0 15px;
	padding-left:90px;
	margin:0 0 20px;
	border:none;
	border-bottom:1px solid var(--pink);
	font-size:16px;
	font-weight:700;
	background:none;
	position:relative;
}
.wp-block-post-content .block-check h3 div{
	position:absolute;
	left:0;
	top:-4px;
	color:var(--pink);
	font-family: "Oswald", sans-serif;
	padding:2px 10px;
	background:var(--pink);
	color:#fff;
	font-size:20px;
	line-height:1.4;
	border-radius:10px;
}

/* YouTube埋め込み */
.wp-block-post-content .block-youtube{
	max-width: 100%;
}
.wp-block-post-content .block-youtube .ratio_16-9{
	aspect-ratio: 16 / 9;
}
.wp-block-post-content .block-youtube iframe{
	border: none;
	width: 100%;
	height: 100%;
}

/**
 * 目次（プラグイン「Easy Table of Contents」のやつ）
 * 以下のソースを元にする
<div id="ez-toc-container" class="ez-toc-v2_0_80 counter-flat ez-toc-counter ez-toc-grey ez-toc-container-direction">
	<div class="ez-toc-title-container">
		<p class="ez-toc-title" style="cursor:inherit">目次</p>
	</div>
	<nav>
		<ul class="ez-toc-list ez-toc-list-level-1 ">
			<li class="ez-toc-page-1">
				<a class="ez-toc-link ez-toc-heading-1" href="#h2%E3%81%93%E3%81%AE%E6%96%87%E7%AB%A0%E3%81%AF%E3%83%80%E3%83%9F%E3%83%BC%E3%81%A7%E3%81%99%E3%80%82">h2この文章はダミーです。</a>
			</li>
			<li class="ez-toc-page-1">
				<a class="ez-toc-link ez-toc-heading-2" href="#%E8%A6%8B%E5%87%BA%E3%81%972">見出し2</a>
			</li>
		</ul>
	</nav>
</div>
 */
.wp-block-post-content #ez-toc-container{
/* 上の方でまとめて書いてある */
}
.wp-block-post-content #ez-toc-container div p{
	color: var(--pink);
	font-size: 18px;
	font-weight: 700;
	margin: 0 0 10px;
}
.wp-block-post-content #ez-toc-container nav ul{
	counter-reset: item;
	margin: 0;
	padding: 0;
}
.wp-block-post-content #ez-toc-container nav ul li{
	counter-increment: item;
	position:relative;
	margin-left: 3px;
	padding-left:32px;
}
.wp-block-post-content #ez-toc-container nav ul li:not(:first-child){
	margin-top: 0.5em;
}
.wp-block-post-content #ez-toc-container nav ul li::after{
	content: counter(item,decimal);
	color: var(--pink);
	position:absolute;
	left:0;
	top:-5px;
	font-size:18px;
	font-family: "Oswald", sans-serif;
	font-weight: 700;
	padding-top: 6px;
}
.wp-block-post-content #ez-toc-container nav ul li:nth-child(-n+9)::after{
  content: '0' counter(item,decimal);
}
.wp-block-post-content #ez-toc-container nav ul li a{
	color: #000000;
	font-size:18px;
	font-weight:700;
}


.wp-block-post-content h2{
    font-size: 24px;
    padding-bottom: 4px;
    border-bottom: solid 2px var(--pink);
    text-align: left;
    color: #000;
    margin: 16px 0;
}
.wp-block-post-content h3{
    font-size: 20px;
    background-color: var(--white_pink);
    padding: 5px 12px;
    border-left: solid 5px var(--pink);
    margin: 16px 0;
}
.wp-block-post-content h4{
    padding-left: 28px;
    position: relative;
    font-size: 20px;
    text-align: left;
}
.wp-block-post-content h4:before{
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    width: 16px;
    height: 3px;
    background-color: var(--pink);
}
.wp-block-post-content ul,
.wp-block-post-content ol{
    padding: 20px;
    background-color: var(--white_pink);
}
.wp-block-post-content ul li,
.wp-block-post-content ol li{
    position: relative;
    padding-left: 20px;
    margin-bottom: 12px;
    font-size: 14px;
}
.wp-block-post-content ul li:before{
    content: "";
    position: absolute;
    left: 0;
    top: 8px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: var(--pink);
}
.wp-block-post-content ul li:nth-last-child(1),
.wp-block-post-content ol li:nth-last-child(1){
    margin-bottom: 0;
}
.wp-block-post-content ol{
    counter-set: number;
}
.wp-block-post-content ol li{
    counter-increment: number;
}
.wp-block-post-content ol li:before{
    content: counter(number)".";
    position: absolute;
    left: 0;
    top: -2px;
    color: var(--pink);
    font-size: 16px;
    font-weight: bold;
    font-family: "Oswald";
}
.wp-block-post-content p{
    margin-bottom: 10px;
    line-height: 1.75;
}
.wp-block-post-content p>a{
    color: var(--blue);
    background-repeat: no-repeat;
    background-position: 100% 100%;
    background-size: 0% 1px;
    transition: background-size 0.4s cubic-bezier(0.39, 0.575, 0.565, 1);
    background-image: linear-gradient(90deg, var(--blue), var(--blue));
}
.wp-block-post-content p>a:hover{
    background-position: 0% 100%;
    background-size: 100% 1px;
}
.wp-block-post-content table a{
    color: var(--blue);
    background-repeat: no-repeat;
    background-position: 100% 100%;
    background-size: 0% 1px;
    transition: background-size 0.4s cubic-bezier(0.39, 0.575, 0.565, 1);
    background-image: linear-gradient(90deg, var(--blue), var(--blue));
}
.wp-block-post-content table a:hover{
    background-position: 0% 100%;
    background-size: 100% 1px;
}



/* 以前登録した記法のcss */
:root{
    --white_pink: #FFF2FB;
    --light_blue: #AEFFFF;
    --pink: #DF2E8B;
}
.c-note {
  padding: 16px;
  margin: 1.5em 0;
  background: #fff8e1;
  border-left: 4px solid #ff9800;
}
.c-note p {
  margin: 0;
}
.add_link_wrap{
    background-color: var(--white_pink);
    padding: 12px 20px;
}
.blue_marker{
    background:linear-gradient(transparent 50%, var(--light_blue) 50%);
}
.point{
    position: relative;
}
.point>span.t{
    background-color: var(--pink);
    color: #FFF;
    font-size: 20px;
    font-weight: bold;
    padding: 8px 24px;
    border-radius: 100px;
    position: absolute;
    top: -46px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}
.check{
    position: relative;
    display: flex;
    justify-content: left;
    align-items: center;
}
.check>span.t{
    background-color: var(--pink);
    color: #FFF;
    font-size: 14px;
    font-weight: bold;
    padding: 6px 14px;
    border-radius: 3px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin-right: 20px;
}
.border_shadow{
    border: solid 3px #000;
    box-shadow: 2px 2px 4px rgb(0 0 0 / 25%);
    border-radius: 10px;
    margin-bottom: 20px;
}
.bg_whitepink{
    background-color: var(--white_pink);
    border-radius: 10px;
}
.set_padding{
    padding: 18px 32px;
}
.wp-block-post-content .set_bg_white *{
    background-color: #FFF;
}
.wp-block-post-content .set_bg_white ul,
.wp-block-post-content .set_bg_white ol{
    padding: 0;
}